diff --git a/vm/kojivmd b/vm/kojivmd
index 50d48a3..69e3188 100755
--- a/vm/kojivmd
+++ b/vm/kojivmd
@@ -309,7 +309,7 @@ class WinBuildTask(MultiPlatformTask):
         task_info = self.session.getTaskInfo(self.id)
         target_info = self.session.getBuildTarget(target)
         if not target_info:
-            raise koji.BuildError, 'unknown build target: %s' % target
+            raise koji.BuildError('unknown build target: %s' % target)
         dest_tag = self.session.getTag(target_info['dest_tag'], strict=True)
         build_tag = self.session.getTag(target_info['build_tag'], strict=True)
         repo_id = opts.get('repo_id')
@@ -317,7 +317,7 @@ class WinBuildTask(MultiPlatformTask):
             repo_info = session.repoInfo(repo_id)
             event_id = repo_info['create_event']
             if not repo_info:
-                raise koji.BuildError, 'invalid repo ID: %s' % repo_id
+                raise koji.BuildError('invalid repo ID: %s' % repo_id)
             policy_data = {
                 'user_id' : task_info['owner'],
                 'source' : source_url,
@@ -352,11 +352,11 @@ class WinBuildTask(MultiPlatformTask):
             if not opts.get('skip_tag'):
                 # Make sure package is on the list for this tag
                 if pkg_cfg is None:
-                    raise koji.BuildError, "package %s not in list for tag %s" \
-                            % (build_info['name'], dest_tag['name'])
+                    raise koji.BuildError("package %s not in list for tag %s" \
+                            % (build_info['name'], dest_tag['name']))
                 elif pkg_cfg['blocked']:
-                    raise koji.BuildError, "package %s is blocked for tag %s" \
-                            % (build_info['name'], dest_tag['name'])
+                    raise koji.BuildError("package %s is blocked for tag %s" \
+                            % (build_info['name'], dest_tag['name']))
 
             build_info = self.session.host.initWinBuild(self.id, build_info,
                                                         koji.util.dslice(results, ['platform']))
@@ -424,8 +424,8 @@ class VMExecTask(BaseTaskHandler):
         output, dummy = proc.communicate()
         ret = proc.wait()
         if ret:
-            raise koji.BuildError, 'unable to create qcow2 image, "%s" returned %s; output was: %s' % \
-                  (' '.join(cmd), ret, output)
+            raise koji.BuildError('unable to create qcow2 image, "%s" returned %s; output was: %s' % \
+                  (' '.join(cmd), ret, output))
         vm_user = pwd.getpwnam(self.options.vmuser)
         os.chown(new_path, vm_user.pw_uid, vm_user.pw_gid)
         return new_path
@@ -520,7 +520,7 @@ class VMExecTask(BaseTaskHandler):
         ctx = doc.xpathNewContext()
         nodelist = ctx.xpathEval('/domain/devices/interface[@type="network"]/mac')
         if not nodelist:
-            raise koji.BuildError, 'no network interfaces configured for %s' % vm.name()
+            raise koji.BuildError('no network interfaces configured for %s' % vm.name())
         addr = nodelist[0].prop('address')
         ctx.xpathFreeContext()
         doc.freeDoc()
@@ -567,7 +567,7 @@ class VMExecTask(BaseTaskHandler):
         builds = self.session.getLatestBuilds(tag, package=package,
                                               event=repo_info['create_event'])
         if not builds:
-            raise koji.BuildError, 'no build of package %s in tag %s' % (package, tag)
+            raise koji.BuildError('no build of package %s in tag %s' % (package, tag))
         build = builds[0]
         maven_build = self.session.getMavenBuild(build['id'])
         if maven_build:
@@ -663,7 +663,7 @@ class VMExecTask(BaseTaskHandler):
                 remote_url = remote_pi.winbuild(buildinfo) + '/' + \
                              fileinfo['localpath']
             else:
-                raise koji.BuildError, 'unsupported file type: %s' % type
+                raise koji.BuildError('unsupported file type: %s' % type)
             koji.ensuredir(os.path.dirname(localpath))
             urlgrabber.urlgrab(remote_url, filename=localpath)
 
@@ -689,21 +689,21 @@ class VMExecTask(BaseTaskHandler):
     def upload(self, path, offset, contents):
         local_path = os.path.abspath(os.path.join(self.output_dir, path))
         if not local_path.startswith(self.output_dir):
-            raise koji.BuildError, 'invalid upload path: %s' % path
+            raise koji.BuildError('invalid upload path: %s' % path)
         koji.ensuredir(os.path.dirname(local_path))
         # accept offset as a str to avoid problems with files larger than 2**32
         offset = int(offset)
         if offset == 0:
             if os.path.exists(local_path):
-                raise koji.BuildError, 'cannot overwrite %s' % local_path
+                raise koji.BuildError('cannot overwrite %s' % local_path)
             fobj = file(local_path, 'w')
         else:
             if not os.path.isfile(local_path):
-                raise koji.BuildError, '% does not exist' % local_path
+                raise koji.BuildError('% does not exist' % local_path)
             size = os.path.getsize(local_path)
             if offset != size:
-                raise koji.BuildError, 'cannot write to %s at offset %s, size is %s' % \
-                      (local_path, offset, size)
+                raise koji.BuildError('cannot write to %s at offset %s, size is %s' % \
+                      (local_path, offset, size))
             fobj = file(local_path, 'r+')
             fobj.seek(offset)
         data = base64.b64decode(contents)
@@ -723,16 +723,16 @@ class VMExecTask(BaseTaskHandler):
     def verifyChecksum(self, path, checksum, algo='sha1'):
         local_path = os.path.abspath(os.path.join(self.output_dir, path))
         if not local_path.startswith(self.output_dir):
-            raise koji.BuildError, 'invalid path: %s' % path
+            raise koji.BuildError('invalid path: %s' % path)
         if not os.path.isfile(local_path):
-            raise koji.BuildError, '%s does not exist' % local_path
+            raise koji.BuildError('%s does not exist' % local_path)
 
         if algo == 'sha1':
             sum = koji.util.sha1_constructor()
         elif algo == 'md5':
             sum = koji.util.md5_constructor()
         else:
-            raise koji.BuildError, 'unsupported checksum algorithm: %s' % algo
+            raise koji.BuildError('unsupported checksum algorithm: %s' % algo)
 
         fobj = file(local_path, 'r')
         while True:
@@ -744,8 +744,8 @@ class VMExecTask(BaseTaskHandler):
         if sum.hexdigest() == checksum:
             return True
         else:
-            raise koji.BuildError, '%s checksum validation failed for %s, %s (computed) != %s (provided)' % \
-                  (algo, local_path, sum.hexdigest(), checksum)
+            raise koji.BuildError('%s checksum validation failed for %s, %s (computed) != %s (provided)' % \
+                  (algo, local_path, sum.hexdigest(), checksum))
 
     def closeTask(self, output):
         self.output = output
@@ -809,8 +809,8 @@ class VMExecTask(BaseTaskHandler):
             self.logger.info('Started VM %s', clone_name)
         except libvirt.libvirtError, e:
             self.logger.error('error starting VM %s', clone_name, exc_info=True)
-            raise koji.PreBuildError, 'error starting VM %s, error was: %s' % \
-                  (clone_name, e)
+            raise koji.PreBuildError('error starting VM %s, error was: %s' % \
+                  (clone_name, e))
 
         start = time.time()
         while True:
@@ -819,7 +819,7 @@ class VMExecTask(BaseTaskHandler):
             if info[0] in (libvirt.VIR_DOMAIN_CRASHED, libvirt.VIR_DOMAIN_SHUTOFF):
                 self.logger.warn('VM %s crashed', clone_name)
                 self.server.server_close()
-                raise koji.BuildError, 'VM %s crashed' % clone_name
+                raise koji.BuildError('VM %s crashed' % clone_name)
             if self.success is None:
                 # task is still running
                 # make sure it hasn't exceeded the timeout
@@ -827,8 +827,8 @@ class VMExecTask(BaseTaskHandler):
                 if mins > timeout:
                     vm.destroy()
                     self.server.server_close()
-                    raise koji.BuildError, 'Task did not complete after %.2f minutes, VM %s has been destroyed' % \
-                          (mins, clone_name)
+                    raise koji.BuildError('Task did not complete after %.2f minutes, VM %s has been destroyed' % \
+                          (mins, clone_name))
             else:
                 vm.destroy()
                 self.server.server_close()
@@ -836,7 +836,7 @@ class VMExecTask(BaseTaskHandler):
                 if self.success:
                     return self.output
                 else:
-                    raise koji.BuildError, self.output
+                    raise koji.BuildError(self.output)
 
 class VMTaskManager(TaskManager):
     def __init__(self, options, session):
@@ -858,7 +858,7 @@ class VMTaskManager(TaskManager):
             if port in ports:
                 return False
             if macaddr in self.macaddrs:
-                raise koji.PreBuildError, 'duplicate MAC address: %s' % macaddr
+                raise koji.PreBuildError('duplicate MAC address: %s' % macaddr)
             self.macaddrs[macaddr] = (vm_name, task_id, port)
             self.logger.info('registered MAC address %s for VM %s (task ID %s, port %s)', macaddr, vm_name, task_id, port)
             return True
@@ -876,7 +876,7 @@ class VMTaskManager(TaskManager):
             if data:
                 return data[2]
             else:
-                raise koji.PreBuildError, 'unknown MAC address: %s' % macaddr
+                raise koji.PreBuildError('unknown MAC address: %s' % macaddr)
         finally:
             self.macaddr_lock.release()
 
@@ -905,7 +905,7 @@ class VMTaskManager(TaskManager):
     def checkDisk(self):
         if not os.path.exists(self.options.imagedir):
             self.logger.error('No such directory: %s', self.options.imagedir)
-            raise IOError, 'No such directory: %s' % self.options.imagedir
+            raise IOError('No such directory: %s' % self.options.imagedir)
         fs_stat = os.statvfs(self.options.imagedir)
         available = fs_stat.f_bavail * fs_stat.f_bsize
         availableMB = available / 1024 / 1024
diff --git a/www/kojiweb/index.py b/www/kojiweb/index.py
index 7f4e4dd..e862493 100644
--- a/www/kojiweb/index.py
+++ b/www/kojiweb/index.py
@@ -49,7 +49,7 @@ def _setUserCookie(environ, user):
     # someone is not using an expired cookie
     value = user + ':' + str(int(time.time()))
     if not options['Secret'].value:
-        raise koji.AuthError, 'Unable to authenticate, server secret not configured'
+        raise koji.AuthError('Unable to authenticate, server secret not configured')
     shasum = sha1_constructor(value)
     shasum.update(options['Secret'].value)
     value = "%s:%s" % (shasum.hexdigest(), value)
@@ -86,7 +86,7 @@ def _getUserCookie(environ):
         return None
     sig, value = parts
     if not options['Secret'].value:
-        raise koji.AuthError, 'Unable to authenticate, server secret not configured'
+        raise koji.AuthError('Unable to authenticate, server secret not configured')
     shasum = sha1_constructor(value)
     shasum.update(options['Secret'].value)
     if shasum.hexdigest() != sig:
@@ -129,16 +129,16 @@ def _assertLogin(environ):
     session = environ['koji.session']
     options = environ['koji.options']
     if 'koji.currentLogin' not in environ or 'koji.currentUser' not in environ:
-        raise StandardError, '_getServer() must be called before _assertLogin()'
+        raise StandardError('_getServer() must be called before _assertLogin()')
     elif environ['koji.currentLogin'] and environ['koji.currentUser']:
         if options['WebCert']:
             if not _sslLogin(environ, session, environ['koji.currentLogin']):
-                raise koji.AuthError, 'could not login %s via SSL' % environ['koji.currentLogin']
+                raise koji.AuthError('could not login %s via SSL' % environ['koji.currentLogin'])
         elif options['WebPrincipal']:
             if not _krbLogin(environ, environ['koji.session'], environ['koji.currentLogin']):
-                raise koji.AuthError, 'could not login using principal: %s' % environ['koji.currentLogin']
+                raise koji.AuthError('could not login using principal: %s' % environ['koji.currentLogin'])
         else:
-            raise koji.AuthError, 'KojiWeb is incorrectly configured for authentication, contact the system administrator'
+            raise koji.AuthError('KojiWeb is incorrectly configured for authentication, contact the system administrator')
 
         # verify a valid authToken was passed in to avoid CSRF
         authToken = environ['koji.form'].getfirst('a', '')
@@ -166,7 +166,7 @@ def _getServer(environ):
     if environ['koji.currentLogin']:
         environ['koji.currentUser'] = session.getUser(environ['koji.currentLogin'])
         if not environ['koji.currentUser']:
-            raise koji.AuthError, 'could not get user for principal: %s' % environ['koji.currentLogin']
+            raise koji.AuthError('could not get user for principal: %s' % environ['koji.currentLogin'])
         _setUserCookie(environ, environ['koji.currentLogin'])
     else:
         environ['koji.currentUser'] = None
@@ -229,30 +229,30 @@ def login(environ, page=None):
             return
 
         if environ.get('SSL_CLIENT_VERIFY') != 'SUCCESS':
-            raise koji.AuthError, 'could not verify client: %s' % environ.get('SSL_CLIENT_VERIFY')
+            raise koji.AuthError('could not verify client: %s' % environ.get('SSL_CLIENT_VERIFY'))
 
         # use the subject's common name as their username
         username = environ.get('SSL_CLIENT_S_DN_CN')
         if not username:
-            raise koji.AuthError, 'unable to get user information from client certificate'
+            raise koji.AuthError('unable to get user information from client certificate')
 
         if not _sslLogin(environ, session, username):
-            raise koji.AuthError, 'could not login %s using SSL certificates' % username
+            raise koji.AuthError('could not login %s using SSL certificates' % username)
 
         authlogger.info('Successful SSL authentication by %s', username)
 
     elif options['WebPrincipal']:
         principal = environ.get('REMOTE_USER')
         if not principal:
-            raise koji.AuthError, 'configuration error: mod_auth_kerb should have performed authentication before presenting this page'
+            raise koji.AuthError('configuration error: mod_auth_kerb should have performed authentication before presenting this page')
 
         if not _krbLogin(environ, session, principal):
-            raise koji.AuthError, 'could not login using principal: %s' % principal
+            raise koji.AuthError('could not login using principal: %s' % principal)
 
         username = principal
         authlogger.info('Successful Kerberos authentication by %s', username)
     else:
-        raise koji.AuthError, 'KojiWeb is incorrectly configured for authentication, contact the system administrator'
+        raise koji.AuthError('KojiWeb is incorrectly configured for authentication, contact the system administrator')
 
     _setUserCookie(environ, username)
     # To protect the session cookie, we must forceSSL
@@ -321,7 +321,7 @@ def notificationedit(environ, notificationID):
     notificationID = int(notificationID)
     notification = server.getBuildNotification(notificationID)
     if notification == None:
-        raise koji.GenericError, 'no notification with ID: %i' % notificationID
+        raise koji.GenericError('no notification with ID: %i' % notificationID)
 
     form = environ['koji.form']
 
@@ -368,7 +368,7 @@ def notificationcreate(environ):
     if form.has_key('add'):
         user = environ['koji.currentUser']
         if not user:
-            raise koji.GenericError, 'not logged-in'
+            raise koji.GenericError('not logged-in')
 
         package_id = form.getfirst('package')
         if package_id == 'all':
@@ -410,7 +410,7 @@ def notificationdelete(environ, notificationID):
     notificationID = int(notificationID)
     notification = server.getBuildNotification(notificationID)
     if not notification:
-        raise koji.GenericError, 'no notification with ID: %i' % notificationID
+        raise koji.GenericError('no notification with ID: %i' % notificationID)
 
     server.deleteNotification(notification['id'])
 
@@ -558,7 +558,7 @@ def taskinfo(environ, taskID):
     taskID = int(taskID)
     task = server.getTaskInfo(taskID, request=True)
     if not task:
-        raise koji.GenericError, 'invalid task ID: %s' % taskID
+        raise koji.GenericError('invalid task ID: %s' % taskID)
 
     values['title'] = koji.taskLabel(task) + ' | Task Info'
 
@@ -728,7 +728,7 @@ def getfile(environ, taskID, name, offset=None, size=None):
     output = server.listTaskOutput(taskID, stat=True)
     file_info = output.get(name)
     if not file_info:
-        raise koji.GenericError, 'no file "%s" output by task %i' % (name, taskID)
+        raise koji.GenericError('no file "%s" output by task %i' % (name, taskID))
 
     mime_guess = mimetypes.guess_type(name, strict=False)[0]
     if mime_guess:
@@ -848,7 +848,7 @@ def packageinfo(environ, packageID, tagOrder='name', tagStart=None, buildOrder='
         packageID = int(packageID)
     package = server.getPackage(packageID)
     if package == None:
-        raise koji.GenericError, 'invalid package ID: %s' % packageID
+        raise koji.GenericError('invalid package ID: %s' % packageID)
 
     values['title'] = package['name'] + ' | Package Info'
 
@@ -961,7 +961,7 @@ def tagedit(environ, tagID):
     tagID = int(tagID)
     tag = server.getTag(tagID)
     if tag == None:
-        raise koji.GenericError, 'no tag with ID: %i' % tagID
+        raise koji.GenericError('no tag with ID: %i' % tagID)
 
     form = environ['koji.form']
 
@@ -1001,7 +1001,7 @@ def tagdelete(environ, tagID):
     tagID = int(tagID)
     tag = server.getTag(tagID)
     if tag == None:
-        raise koji.GenericError, 'no tag with ID: %i' % tagID
+        raise koji.GenericError('no tag with ID: %i' % tagID)
 
     server.deleteTag(tag['id'])
 
@@ -1052,7 +1052,7 @@ def tagparent(environ, tagID, parentID, action):
             elif len(inheritanceData) == 1:
                 values['inheritanceData'] = inheritanceData[0]
             else:
-                raise koji.GenericError, 'tag %i has tag %i listed as a parent more than once' % (tag['id'], parent['id'])
+                raise koji.GenericError('tag %i has tag %i listed as a parent more than once' % (tag['id'], parent['id']))
 
             return _genHTML(environ, 'tagparent.chtml')
     elif action == 'remove':
@@ -1062,11 +1062,11 @@ def tagparent(environ, tagID, parentID, action):
                 datum['delete link'] = True
                 break
         else:
-            raise koji.GenericError, 'tag %i is not a parent of tag %i' % (parent['id'], tag['id'])
+            raise koji.GenericError('tag %i is not a parent of tag %i' % (parent['id'], tag['id']))
 
         server.setInheritanceData(tag['id'], data)
     else:
-        raise koji.GenericError, 'unknown action: %s' % action
+        raise koji.GenericError('unknown action: %s' % action)
 
     _redirect(environ, 'taginfo?tagID=%i' % tag['id'])
 
@@ -1448,22 +1448,22 @@ def fileinfo(environ, filename, rpmID=None, archiveID=None):
         rpmID = int(rpmID)
         rpm = server.getRPM(rpmID)
         if not rpm:
-            raise koji.GenericError, 'invalid RPM ID: %i' % rpmID
+            raise koji.GenericError('invalid RPM ID: %i' % rpmID)
         file = server.getRPMFile(rpm['id'], filename)
         if not file:
-            raise koji.GenericError, 'no file %s in RPM %i' % (filename, rpmID)
+            raise koji.GenericError('no file %s in RPM %i' % (filename, rpmID))
         values['rpm'] = rpm
     elif archiveID:
         archiveID = int(archiveID)
         archive = server.getArchive(archiveID)
         if not archive:
-            raise koji.GenericError, 'invalid archive ID: %i' % archiveID
+            raise koji.GenericError('invalid archive ID: %i' % archiveID)
         file = server.getArchiveFile(archive['id'], filename)
         if not file:
-            raise koji.GenericError, 'no file %s in archive %i' % (filename, archiveID)
+            raise koji.GenericError('no file %s in archive %i' % (filename, archiveID))
         values['archive'] = archive
     else:
-        raise koji.GenericError, 'either rpmID or archiveID must be specified'
+        raise koji.GenericError('either rpmID or archiveID must be specified')
 
     values['title'] = file['name'] + ' | File Info'
 
@@ -1478,11 +1478,11 @@ def cancelbuild(environ, buildID):
     buildID = int(buildID)
     build = server.getBuild(buildID)
     if build == None:
-        raise koji.GenericError, 'unknown build ID: %i' % buildID
+        raise koji.GenericError('unknown build ID: %i' % buildID)
 
     result = server.cancelBuild(build['id'])
     if not result:
-        raise koji.GenericError, 'unable to cancel build'
+        raise koji.GenericError('unable to cancel build')
 
     _redirect(environ, 'buildinfo?buildID=%i' % build['id'])
 
@@ -1525,7 +1525,7 @@ def hostinfo(environ, hostID=None, userID=None):
             hostID = int(hostID)
         host = server.getHost(hostID)
         if host == None:
-            raise koji.GenericError, 'invalid host ID: %s' % hostID
+            raise koji.GenericError('invalid host ID: %s' % hostID)
     elif userID:
         userID = int(userID)
         hosts = server.listHosts(userID=userID)
@@ -1533,9 +1533,9 @@ def hostinfo(environ, hostID=None, userID=None):
         if hosts:
             host = hosts[0]
         if host == None:
-            raise koji.GenericError, 'invalid host ID: %s' % userID
+            raise koji.GenericError('invalid host ID: %s' % userID)
     else:
-        raise koji.GenericError, 'hostID or userID must be provided'
+        raise koji.GenericError('hostID or userID must be provided')
 
     values['title'] = host['name'] + ' | Host Info'
 
@@ -1563,7 +1563,7 @@ def hostedit(environ, hostID):
     hostID = int(hostID)
     host = server.getHost(hostID)
     if host == None:
-        raise koji.GenericError, 'no host with ID: %i' % hostID
+        raise koji.GenericError('no host with ID: %i' % hostID)
 
     form = environ['koji.form']
 
@@ -1632,7 +1632,7 @@ def channelinfo(environ, channelID):
     channelID = int(channelID)
     channel = server.getChannel(channelID)
     if channel == None:
-        raise koji.GenericError, 'invalid channel ID: %i' % channelID
+        raise koji.GenericError('invalid channel ID: %i' % channelID)
 
     values['title'] = channel['name'] + ' | Channel Info'
 
@@ -1657,7 +1657,7 @@ def buildrootinfo(environ, buildrootID, builtStart=None, builtOrder=None, compon
     buildroot = server.getBuildroot(buildrootID)
 
     if buildroot == None:
-        raise koji.GenericError, 'unknown buildroot ID: %i' % buildrootID
+        raise koji.GenericError('unknown buildroot ID: %i' % buildrootID)
 
     elif buildroot['br_type'] == koji.BR_TYPES['STANDARD']:
         template = 'buildrootinfo.chtml'
@@ -1687,7 +1687,7 @@ def rpmlist(environ, type, buildrootID=None, imageID=None, start=None, order='nv
         buildroot = server.getBuildroot(buildrootID)
         values['buildroot'] = buildroot
         if buildroot == None:
-            raise koji.GenericError, 'unknown buildroot ID: %i' % buildrootID
+            raise koji.GenericError('unknown buildroot ID: %i' % buildrootID)
 
         if type == 'component':
             kojiweb.util.paginateMethod(server, values, 'listRPMs',
@@ -1700,7 +1700,7 @@ def rpmlist(environ, type, buildrootID=None, imageID=None, start=None, order='nv
                                         start=start, dataName='rpms',
                                         prefix='rpm', order=order)
         else:
-            raise koji.GenericError, 'unrecognized type of rpmlist'
+            raise koji.GenericError('unrecognized type of rpmlist')
 
     elif imageID != None:
         imageID = int(imageID)
@@ -1712,11 +1712,11 @@ def rpmlist(environ, type, buildrootID=None, imageID=None, start=None, order='nv
                                         start=start, dataName='rpms',
                                         prefix='rpm', order=order)
         else:
-            raise koji.GenericError, 'unrecognized type of image rpmlist'
+            raise koji.GenericError('unrecognized type of image rpmlist')
 
     else:
         # It is an error if neither buildrootID and imageID are defined.
-        raise koji.GenericError, 'Both buildrootID and imageID are None'
+        raise koji.GenericError('Both buildrootID and imageID are None')
 
     values['type'] = type
     values['order'] = order
@@ -1730,7 +1730,7 @@ def archivelist(environ, buildrootID, type, start=None, order='filename'):
     buildrootID = int(buildrootID)
     buildroot = server.getBuildroot(buildrootID)
     if buildroot == None:
-        raise koji.GenericError, 'unknown buildroot ID: %i' % buildrootID
+        raise koji.GenericError('unknown buildroot ID: %i' % buildrootID)
 
     if type == 'component':
         kojiweb.util.paginateMethod(server, values, 'listArchives', kw={'componentBuildrootID': buildroot['id']},
@@ -1739,7 +1739,7 @@ def archivelist(environ, buildrootID, type, start=None, order='filename'):
         kojiweb.util.paginateMethod(server, values, 'listArchives', kw={'buildrootID': buildroot['id']},
                                     start=start, dataName='archives', prefix='archive', order=order)
     else:
-        raise koji.GenericError, 'invalid type: %s' % type
+        raise koji.GenericError('invalid type: %s' % type)
 
     values['buildroot'] = buildroot
     values['type'] = type
@@ -1775,7 +1775,7 @@ def buildtargetinfo(environ, targetID=None, name=None):
         target = server.getBuildTarget(name)
 
     if target == None:
-        raise koji.GenericError, 'invalid build target: %s' % (targetID or name)
+        raise koji.GenericError('invalid build target: %s' % (targetID or name))
 
     values['title'] = target['name'] + ' | Build Target Info'
 
@@ -1800,7 +1800,7 @@ def buildtargetedit(environ, targetID):
 
     target = server.getBuildTarget(targetID)
     if target == None:
-        raise koji.GenericError, 'invalid build target: %s' % targetID
+        raise koji.GenericError('invalid build target: %s' % targetID)
 
     form = environ['koji.form']
 
@@ -1809,12 +1809,12 @@ def buildtargetedit(environ, targetID):
         buildTagID = int(form.getfirst('buildTag'))
         buildTag = server.getTag(buildTagID)
         if buildTag == None:
-            raise koji.GenericError, 'invalid tag ID: %i' % buildTagID
+            raise koji.GenericError('invalid tag ID: %i' % buildTagID)
 
         destTagID = int(form.getfirst('destTag'))
         destTag = server.getTag(destTagID)
         if destTag == None:
-            raise koji.GenericError, 'invalid tag ID: %i' % destTagID
+            raise koji.GenericError('invalid tag ID: %i' % destTagID)
 
         server.editBuildTarget(target['id'], name, buildTag['id'], destTag['id'])
 
@@ -1849,7 +1849,7 @@ def buildtargetcreate(environ):
         target = server.getBuildTarget(name)
 
         if target == None:
-            raise koji.GenericError, 'error creating build target "%s"' % name
+            raise koji.GenericError('error creating build target "%s"' % name)
 
         _redirect(environ, 'buildtargetinfo?targetID=%i' % target['id'])
     elif form.has_key('cancel'):
@@ -1873,7 +1873,7 @@ def buildtargetdelete(environ, targetID):
 
     target = server.getBuildTarget(targetID)
     if target == None:
-        raise koji.GenericError, 'invalid build target: %i' % targetID
+        raise koji.GenericError('invalid build target: %i' % targetID)
 
     server.deleteBuildTarget(target['id'])
 
@@ -2246,7 +2246,7 @@ def search(environ, start=None, order=None):
 
         infoURL = _infoURLs.get(type)
         if not infoURL:
-            raise koji.GenericError, 'unknown search type: %s' % type
+            raise koji.GenericError('unknown search type: %s' % type)
         values['infoURL'] = infoURL
         order = order or _DEFAULT_SEARCH_ORDER.get(type, 'name')
         values['order'] = order
diff --git a/www/kojiweb/wsgi_publisher.py b/www/kojiweb/wsgi_publisher.py
index 6fd7f04..76f78d5 100644
--- a/www/kojiweb/wsgi_publisher.py
+++ b/www/kojiweb/wsgi_publisher.py
@@ -146,7 +146,7 @@ class Dispatcher(object):
             # presumably we are configured by modpy options
             config = None
         else:
-            raise koji.GenericError, "Configuration missing"
+            raise koji.GenericError("Configuration missing")
 
         opts = {}
         for name, dtype, default in self.cfgmap:
@@ -198,7 +198,7 @@ class Dispatcher(object):
                 level = part
                 default = level
             if level not in valid_levels:
-                raise koji.GenericError, "Invalid log level: %s" % level
+                raise koji.GenericError("Invalid log level: %s" % level)
             #all our loggers start with koji
             if name == '':
                 name = 'koji'
diff --git a/www/lib/kojiweb/util.py b/www/lib/kojiweb/util.py
index 03d0272..aa6d61a 100644
--- a/www/lib/kojiweb/util.py
+++ b/www/lib/kojiweb/util.py
@@ -299,7 +299,7 @@ def paginateMethod(server, values, methodName, args=None, kw=None,
     if not start or start < 0:
         start = 0
     if not dataName:
-        raise StandardError, 'dataName must be specified'
+        raise StandardError('dataName must be specified')
 
     kw['queryOpts'] = {'countOnly': True}
     totalRows = getattr(server, methodName)(*args, **kw)
@@ -329,7 +329,7 @@ def paginateResults(server, values, methodName, args=None, kw=None,
     if not start or start < 0:
         start = 0
     if not dataName:
-        raise StandardError, 'dataName must be specified'
+        raise StandardError('dataName must be specified')
 
     kw['filterOpts'] = {'order': order,
                         'offset': start,

